diff -urN straw-0.21.1.orig/glade/straw.glade straw-0.21.1/glade/straw.glade
--- straw-0.21.1.orig/glade/straw.glade	2003-11-13 22:25:16.000000000 +0100
+++ straw-0.21.1/glade/straw.glade	2003-11-21 19:49:10.000000000 +0100
@@ -498,6 +498,22 @@
 		  <property name="new_group">True</property>
 		</packing>
 	      </child>
+
+	      <child>
+		<widget class="button" id="toolbar_catchup_button">
+		  <property name="visible">True</property>
+		  <property name="tooltip" translatable="yes">Catch up feed</property>
+		  <property name="label" translatable="yes">Catchup</property>
+		  <property name="use_underline">True</property>
+		  <property name="stock_pixmap">gtk-close</property>
+		  <property name="new_group">True</property>
+		  <signal name="clicked" handler="on_toolbar_catchup_button_clicked" last_modification_time="Fri, 20 Sep 2002 08:00:14 GMT"/>
+		</widget>
+		<packing>
+		  <property name="new_group">True</property>
+		</packing>
+	      </child>
+
 	    </widget>
 	  </child>
 	</widget>
diff -urN straw-0.21.1.orig/src/lib/MainWindow.py straw-0.21.1/src/lib/MainWindow.py
--- straw-0.21.1.orig/src/lib/MainWindow.py	2003-11-21 19:43:56.000000000 +0100
+++ straw-0.21.1/src/lib/MainWindow.py	2003-11-21 19:49:39.000000000 +0100
@@ -616,6 +616,9 @@
     def on_toolbar_find_button_clicked(self, button, *args):
         self.show_find_mode()
 
+    def on_toolbar_catchup_button_clicked(self, button, *args):
+    	straw.main.mark_as_read()
+
     def on_toolbar_new_feed_button_clicked(self, button, *args):
         straw.main.show_subscribe_dialog()
 
